Add a variation in generate-package for future devboards

Change-Id: Ic14e5d880942628a54a5b75c594513307f722b84
Signed-off-by: Vishal Bhoj <vishal.bhoj@linaro.org>
diff --git a/generate-packages.sh b/generate-packages.sh
index cf025fe..2579145 100755
--- a/generate-packages.sh
+++ b/generate-packages.sh
@@ -38,15 +38,19 @@
   echo Processing files from $COMPANY
   rm -rf tmp
   FILEDIR=tmp/vendor/$COMPANY/$DEVICE/proprietary
-  mkdir -p $FILEDIR
+  MAKEFILEDIR=tmp/vendor/$COMPANY/$DEVICE/
   FILEDIR_ROOT=tmp/vendor/$MANUFACTURER/$ROOTDEVICE
 
   case ${ROOTDEVICE} in
     dragon|marlin|sailfish)
       FILEDIR_ROOT=tmp/vendor/${MANUFACTURER}_devices/$ROOTDEVICE ;;
+    hikey960)
+      FILEDIR=tmp/vendor/linaro/$DEVICE/$COMPANY/proprietary
+      MAKEFILEDIR=tmp/vendor/linaro/$DEVICE/$COMPANY ;;
     *) ;;
   esac
 
+  mkdir -p ${FILEDIR}
   mkdir -p ${FILEDIR_ROOT}
 
   TO_EXTRACT=`sed -n -e '/'"  $COMPANY"'/,/;;/ p' $EXTRACT_LIST_FILENAME | tail -n+3 | head -n-2 | sed -e 's/\\\//g'`
@@ -127,7 +131,7 @@
 
   done
   echo \ \ Setting up $COMPANY-specific makefiles
-  cp -R $COMPANY/staging/* tmp/vendor/$COMPANY/$DEVICE || echo \ \ \ \ Error copying makefiles
+  cp -R $COMPANY/staging/* $MAKEFILEDIR || echo \ \ \ \ Error copying makefiles
   echo \ \ Setting up shared makefiles
   cp -R root/* ${FILEDIR_ROOT} || echo \ \ \ \ Error copying makefiles